*Q&A/動作環境 [#dfd23d57]
:主なFAQ|PukiWikiが動作する環境についての質問

>下記のページも参考にしてください。
-[[動作実績]]
--[[動作実績/プロバイダサーバー]]
--[[動作実績/レンタルサーバー]]
-[[Q&A/携帯電話]] (携帯電話、モバイル端末などから利用した時の問題など)
-[[Q&A/インストール]]

#navi(Q&A)
#contents

**動作環境 [#p68a7bd1]
***Q. PukiWikiを動かせられるレンタルサーバーが知りたい [#d7c609b1]
>''A.'' [[動作実績/レンタルサーバー]]をご覧ください。
//[[質問箱/34]]

***Q. PukiWikiを使ったサイトをNATを使って公開する場合は? [#j8f45c43]
>''A.'' [[質問箱/61]]

***Q. ダイナミックDNS+自宅サーバーで運営したい [#d58a02fe]
>''A.'' [[質問箱/87]]

***Q. CGI版PHPで動作させるには? [#ca9aa20c]
>''A.'' [[PukiWiki/CGI版PHPで動作させるには]], [[続・質問箱/30]]

***Q. PHP以外で動作するPukiWikiはないの? [#bd2e225a]
>''A.'' [[続・質問箱/34]]

**Windows [#k9650fcb]
***Q. Windowsで稼動させたいのですが [#y6f452b2]
>''A.'' [[PukiWiki/Install/Windows]]をご覧ください。


***Q. Windows上で稼働させると文字化けします [#v4e845f8]
>''Q.続き''~
Windows上で使っているのですが、Last-modifiedの表示やRSS変換で日付の後半が文字化けするのですが

>''A.'' [[PukiWiki/Install/Windows]]をご覧ください。


***Q. Windowsでページの新規作成、編集が出来ない [#z664247e]
>''Q.続き''~
 Fatal error: Maximum execution time of 30 seconds exceeded in 
 D:\Data\My Documents\homepage\pukiwiki\file.php on line 41
とでて新規・編集が出来ない。

>''A.'' [[dev:BugTrack/164]]のページを参照して下さい。


***Q. Windows で動かすとページの凍結ができない [#h83cfdbe]
>''A.'' [[dev:BugTrack/203]]のページを参照して下さい。


***Q. Windows 環境で[[PHP]] の設定を変更したが反映されない [#w08db944]
>''Q.続き''~
Windows のレジストリ や[[.htaccess]] で[[PHP]] の設定を変更して再起動したが、[[phpinfo()]] で見ても設定が反映されていない。
>''A.'' PHP の各設定には[[モードが設定>http://jp.php.net/manual/configuration.changes.modes.php]]されており、そのレベルによってはレジストリからの設定変更が無効化されます。例えば、[[Q. 添付ファイルのアップロードサイズの制限を変更したい>Q&A/プラグイン/attachプラグイン#b0b6b6c5]] で例示されている''post_max_size'' などがこれに該当します。(詳細は、[[php.ini ディレクティブのリスト - PHP マニュアル>http://jp.php.net/manual/ini.list.php]] で確認してくださいい)~
また、[[.htaccess]] はWebサーバーが対応していなければ意味がありません。例えば、[[IIS]] はデフォルト設定で[[.htaccess]] を扱えない場合が多いようです。~
Windows のレジストリ や[[.htaccess]] で[[PHP]] の設定を変えられない場合、php.ini で設定を変更するしかありません


**Linux [#u3e7e39b]
***Q. RedHat Linuxで稼動させたいのですが… [#qdee8af3]
>''A.'' [[PukiWiki/Install/RedHat]]のページを参照して下さい。


***Q. Linux + Apache 1.3系でバーチャルホストでの設置 [#o56dc40f]
>''Q.続き''~
Linux + Apache 1.3系でVHOSTして、PukiWiki設置はport80、VHOSTの方は、同じアドレスで8080なんですが...uname + 8080で見に行っちゃってます。

>''A.''~
 <VirtualHost aaa.bbb.ccc.ddd:8080>...</VirtualHost>しか書いてない?
 <VirtualHost aaa.bbb.ccc.ddd:80>...pukiwiki用...</VirtualHost>を追加してみるとか。
とにかくhttp://www.apache.jp/manual/vhosts/examples.html参照。
~生成されるリンクのアドレスに問題がある場合は、[[Q. ドメインのアドレスが違うものになり、新規・編集などが行えない>#x03ba99b]] も参照すること。


**PHP [#d3ef721c]
***Q. PukiWiki 1.3.x が動くPHPのバージョンは? [#la20985d]
>''A.'' [[PHP]] 4.0.6 以降でなら動くと思います。4.1.2以降がよいでしょう。~
日本語を扱う場合は、[[mbstring]]モジュールが組み込まれている必要があります。

***Q. PukiWiki 1.4.x が動くPHPのバージョンは? [#scb063bc]
>''A.'' PHP 4.1.2 以降、および PHP 5以降 の環境で動作します。それより前のバージョンでは、version_compare() などの存在しない関数、グローバル変数周りの挙動の違い、[[mb_string>mbstring]] モジュール関係の仕様の違いなどが問題になります。~
また、動作するバージョンであっても、[[正規表現]]に使われるPECL ライブラリのバージョンやモジュール関係の仕様の違いによって、一部機能が正常に利用できないなどの制限がかかる場合があります。

:関連1 [[dev:BugTrack/529]]| 「ChaSen, [[KAKASI>Kakasi]] による、ページ名の読みの取得機能」が利用できない (Debian woody限定)
:関連2 [[dev:BugTrack/632]]| PHP 5関連BugTrackのまとめ

:補足|
~
-メンテナンス(セキュリティアップデート)が継続して行われていないPHPはインターネット上で使わない様にしましょう。
-- Debian GNU/Linux 3.x(通称Woody)に搭載されている PHP 4.1.2 は、必要最低限のメンテナンスが[[行われています>http://www.debian.org/security/]](完全かどうかの保証はできません)。Woodyのメンテナンス期限は[[次の安定版(stable)が出てから一年、ないしそれ以内:http://www.debian.org/security/faq#lifespan]]です。
-- Red Hat Linux 7.3 に搭載されていた PHP 4.1.2 や Red Hat Linux 9 に搭載されていた PHP 4.2.2 は、[[Fedora Legacy>http://fedoralegacy.org/]] プロジェクトにて必要最低限のメンテナンスが[[行われています>http://fedoralegacy.org/updates/RH9/]](完全かどうかの保証はできません)。しかし、Fedora Legacy プロジェクトによる Fedora Core 1 および 2 のサポートが開始されていることもあり、順次サポートが打ち切られる可能性があります(Red Hat 7.2および8のサポートは既に打ち切られています)。Red Hat Linux シリーズのサポート期限は[[公式サポート終了から少なくとも一年半、またはコミュニティの興味が集まる間はそれ以降です。なおFedora Coreシリーズのサポート期限は公式サポート終了からおよそ一年です。>http://fedoralegacy.org/about/faq.php]]
- version_compare() を呼んでいる部分は、内容に応じた固定値に書き直すことで回避できるとは思いますが、古いPHP向けに、PEAR パッケージの PHP_Compat に移植されているものがあるようですので、こちらを試すことができるかもしれません。
-- http://pear.php.net/package/PHP_Compat
-- [[PHP_Compat に 登録されている関数および定数の一覧:http://pear.php.net/manual/ja/package.php.php-compat.components.php]]

[[続・質問箱/22]]

***Q. 私がレンタルしているサーバーではPHPが使えないんですけど… [#of41eebb]
>''A1.'' PHPを利用できるレンタルサーバーは有償、無償を問わず豊富に存在します。PukiWikiの動作報告があるサーバーについては[[動作実績/レンタルサーバー]]を参照して下さい。~
日本語に対応([[mbstring]]モジュール)している必要がありますので、PHP言語特有の話題に詳しくないのであれば、海外よりは国内のサーバーを、また動作報告のないサーバーよりは動作報告のあるサーバーをおすすめします。動作報告は、[[動作実績]]にまとめられています。

>''A2.'' PHP以外の言語で動作するWikiを使う~
Perl、Ruby、Python、Java、C#など、他のプログラム言語で書かれたWikiもあります。ただし作成者が異なるため、挙動や使い勝手はそれぞれ大きく異なります。~
日本ではPerlで実装されたYukiWiki/WalWikiやFreeStyleWiki(FSWiki)、Rubyで実装された[[Hiki]]が有名どころです。~
PukiWikiを模したものとしてはPerlで実装されたPyukiWikiがあります。~
[[PukiWiki/関連リンク集]]を参照してください。


***Q. PHP Ver.3でPukiWikiを動かすことはできますか [#d5ab3a67]
>''A.'' PHP Ver.3では動きません。


***Q. CGI版PHPでも動作しますか? [#dffdd99e]
>''A.'' 一部の機能が制限されますが、動作します。詳しくは、[[PukiWiki/CGI版PHPで動作させるには]]を参照して下さい。


***Q. [[RSS]]出力に含まれる日本語文字列が文字化けを起こします [#zc7739ed]
>''A.'' [[PHP]]に[[mbstring]]モジュールが入っていますか?~
入っていないと文字化けするかもしれません。また、[[RSS]]はUTF-8でエンコードされているので、ブラウザ等で適切なデコード方法を指定してください。


***Q. 番号付きリストの記法 '+' が半角スペースに化ける [#l80e1da6]
>''Q.続き''~
番号付きリストを記入しようと行頭に '+' を入力したところ、その記号が空白に化け、整形済み行になってしまいます。

>''A.'' PHPのバージョンを確認して下さい。~
PHP 4.2.3あたりでは文字 '+' の扱いがいい加減で、そのために上記現象が発生します。


***Q. エラーメッセージが出てlookupプラグインが動作しない [#wea3b3e5]
>''Q.続き''~
 This server's PHP does not have "mb_jstring" module.Cannot convert encoding.
と表示されて、#lookup が動きません。

>''A.'' [[PHP]]に[[mbstring]]モジュールが入っていません (とそのメッセージは言っています)~

詳細: [[質問箱/9]]


***Q. array_searchがないといわれる [#z3aa51df]
>''A.'' array_searchは、PHP4.0.5以降に実装されている関数です。
PHPのバージョンが古い場合はバージョンアップしてください。



**ブラウザ・閲覧側の環境 [#t8a8f10c]
***Q. MS IE6、Opera7でページ表示ができない [#u1af3b92]
>''A.'' スキンの先頭部分に下記の1行がちゃんと入っているか確認してください。
 <?php header('Content-Type: text/html; charset=EUC-JP') ?>
1.4.5以降の場合は
 header('Content-Type: text/html; charset=' . CONTENT_CHARSET);
という形式になっています。
~スキンの<meta>タグでcontent="application/xhtml+xml; charset=EUC-JP"が設定されていても、Internet Explorerなど一部のブラウザはapplication/xhtml+xmlのファイルタイプでは表示できず、ダウンロードになってしまいます。そのためhttp headerではtext/htmlのファイルタイプを指定する必要があります。
 

***Q. Wazilla 1.3 for windows で編集できない [#b2bf6ca3]
>''A.'' Wazilla 1.3 和ジラの問題です。MozillaやFirebirdでは問題ありません。


***Q. Safariで改行の半角チルダが全角で表示される [#x6278aa8]
>''A.'' [[続・質問箱/31]], [[SafariのバグによるPukiWikiへの影響]]


***Q. ブラウザのエラーメッセージだけが表示される(PukiWikiが表示されない) [#s6714597]
>''Q.続き''~
 XML ページを表示できません
のようなメッセージだけが表示されて、実際のデータが表示されない。

>''A.'' 一部のブラウザは不正なデータを受け取ると、それの代わりに専用のエラーメッセージを表示します。~
原因を特定するには実際のデータを閲覧する必要があるため、データを保存してブラウザ以外で閲覧するか、(専用メッセージを表示しない)他のブラウザを使う必要があります。
-不正なデータとなる原因の例
--PHP のエラーメッセージがデータの先頭に挿入され、不正な構文となる([[Q. Warning: Cannot modify header information - headers already sent by ( ~ )>Q&A/インストール#jae2cf51]] などを参照)
--PukiWiki のソースや[[mbstring]] の設定が原因で、複数の文字コードがデータ中に混ざっている([[Q. PukiWikiのソースの日本語が化けています/改行が変になります>Q&A/インストール#mb87f9af]]、 [[Q. BracketNameの日本語名が文字化けする>#e8add2d0]] などを参照)
--構文を無視して広告が自動で挿入される
---多くの場合、自動挿入される広告はHTML タグにしか対応していません。このため、PukiWiki 1.4.x のデフォルトであるXHTML 形式に挿入されるとエラーとなる場合があります。~
PukiWiki 1.4.5 以降では、pukiwiki.ini.php の設定''$pkwk_dtd'' を設定し、PukiWiki 1.3.x と同じHTML 4.01 Transitional とすることで、パースエラーを回避できます。ただし、古い自作スキンなどでは、この切替機能に対応していない場合があります。
---添付ファイルなどHTML 以外で広告が自動挿入される場合は、[[Q. バナー広告表示型サーバで運営すると添付やRSSなどが正しく動作しない>Q&A/プラグイン/attachプラグイン#c6de5c2d]] を参照



**その他 [#qfb3a2fd]
***Q. Apache2なのですが、charsetを認識せず文字化けします [#xa2f60bb]
>''A.'' Apache2 の AddDefaultCharset の取り扱いに関して、charset を指定してあっても無視するようなので、この問題が発生していると思われます。~
Apache2 が対応されるまでは、以下のように機能を止めるようにするか、個別に指定するかの方法をとるとよいでしょう。

- 機能を完全に無効にする場合(AddDefaultCharset の行をコメントアウト)
>
 # vi /etc/httpd/conf/httpd.conf 
 
 # AddDefaultCharset ISO-8859-1

-PukiWiki のディレクトリのみ明示的に指定する場合
>
 <Location /pukiwiki/>
   AddDefaultCharset EUC-JP
 </Location>

>と変更してみて下さい。~
AddDefaultCharset none という指定は絶対にしてはいけません。
 # LanguagePriority en da nl et fr de el it ja kr no pl pt pt-br ltz ca es sv tw
 LanguagePriority ja en 
~また、このように必要なものだけ取り出した上で、ja の優先順位もあわせて変更しておくとよいでしょう。


***Q. BracketNameの日本語名が文字化けする [#e8add2d0]
>''Q.続き''~
新規で&#x5b;&#x5b;PukiWiki/アクセス制限&#x5d;&#x5d;で作成すると
>
 PukiWiki/鐔ワ就鐔ワ蒐鐔ワ住鐔ワ醜鐓&#65533;鐔・集鐓・/a> の編集
のように、化けたものとなってしまうのですが、対処方法はありませんか?

>''A.'' 次のことを確認してください
- [[PHP]]に[[mbstring]]モジュールが入っていますか?また、適切な設定になっていますか?
- Webサーバーに[[Apache]]を使用しており、WebDAVを有効にしている場合に、文字化けが起こることがあります。WebDAV機能を止めて、挙動が変るか確認して下さい。
- mod_encodingが問題になった事例もあるようです。mod_encodingは、日本語の文字化けを回避するためのモジュールです。
- PukiWiki のファイルの中に、違う文字コードで保存したファイルが混ざっていませんか? &rarr; [[Q. PukiWikiのソースの日本語が化けています/改行が変になります>Q&A/インストール#mb87f9af]]、 [[Q. 旧バージョンからのアップグレード時に文字化けしてしまう>Q&A/インストール#ha46cbcc]]
- 出力されたHTML ソースの文字コードと、ブラウザが(自動)選択した表示文字コードが、一致していますか?自動で正しい文字コードが選択されない場合は、出力されるHTML ヘッダーなどを確認して下さい。

***Q. DBMSは必要ですか? DBを使用している環境へインストールする際に必要なことは? [#i29127f1]
***Q.  [[MySQL]]などDBMSは必要ですか? DBを使用している環境へインストールする際に必要なことは? [#i29127f1]
>''A.'' DBは必要ありません。DBを利用しないので干渉しないはずです。

***Q. [[RDBMS]]化しないの? ([[MySQL]]とかPostgreSQL) [#q66aa755]
>''A.'' PukiWiki 1.4の開発版で一時、[[MySQL]]と[[PostgreSQL]]に対応しましたが、技術的な問題が発生し、ペンディングとなりました。~

参考: [[dev:ロードマップ]], [[dev:開発日記/2003-03-23#e18d9737]]

***Q. ページ当たり文字数の制限が編集時と違うようですが [#vd716e33]
>''Q.続き''~
実際に書き込める文字数と、それを訂正「編集」しようとした時で制限が異なるようです。具体的にはかなり長い本文を数ページに分割作業しようとして、最後に元ページ(当初の長文ページ)で既分割部分を削除して編集内容を書き込もうとすると以下のエラーが発生します。
 Fatal error: Allowed memory size of 8388608 bytes 
 exhausted (tried to allocate 766365 bytes) in 
  / (途中省略) /backup.php on line 41

>''A1.'' php.iniの'memory_limit = 8M'(PHPが使用するメモリの最大量)で引っかかっているみたいですね。今のところこの値を増やす以外に回避する手だてはありません。ページの内容によって(プラグインが多用されているとか)PHPが使用するメモリの量は増減しますから、文字数での制限は難しいと思います。

>''A2.'' 過去のバージョンでは、バックアップファイルの編集・閲覧などをする際に、メモリを無駄遣いしていた事が判明しています。&br;PukiWiki 1.4.7 以降のパッケージに[[このバグに対する修正>PukiWiki/Download/1.4.7#kaea5ee2]]が含まれていますので、''1.4.7 以降の利用をお勧めします''。~
なお、対処療法として、「該当ページ、または全てのバックアップファイルを削除する」ことで編集できない状況は解消できますが、ページの使用状況によっては再び同じ現象が発生する可能性があります。~
( See... [[dev:BugTrack/732]], [[dev:BugTrack2/159]] )

>''A3.'' PHP の'memory_limit' 設定を変えられない場合は、バックアップファイルを開けないほどにファイルサイズが肥大してしまわない様に、最大登録世代数を問題が出ない程度に減らす必要があります。
 // Bacukp interval and generation
 $cycle  =   3; // Wait N hours between backup (0 = no wait)
 $maxage = 120; // Stock latest N backups
$maxage で最大登録世代数を指定します。ただし、変更が有効になるのは次回のバックアップファイル更新時ですので、すでにエラーが出ているページのバックアップファイルは削除するなどの対応が必要となります。~
( See... [[質問箱3/254]], [[質問箱4/379]], [[質問箱4/437]] )


***Q. ドメインのアドレスが違うものになり、新規・編集などが行えない [#x03ba99b]
>''A.'' pukiwiki.ini.phpの中の$scriptを設定してみてください。
 // Specify PukiWiki URL (default: auto)
 //$script = 'http://example.com/pukiwiki/';
&darr;
 // Specify PukiWiki URL (default: auto)
 $script = '自サイトのアドレス';
>[[FAQ/44]]

***Q. IIS 環境下における Basic認証が動かない [#bcc28665]
>''A.'' [[dev:BugTrack/462]]を参考にして下さい。(1.4.4 以降にこの修正内容が含まれています)


***Q. データのファイルの所有者やグループが違うものに [#ica80ba2]
>''A.'' 既存のファイル(FTPアップロードしたファイル)か、新規作成かで違います。既存のファイルはFTPアップロード時のログインアカウントが所有者になり、新規作成されたファイルは、[[apache]]の実行ユーザーが所有者になります。~
apacheの実行ユーザーは、古くはroot権限で実行されていましたが、セキュリティ上の問題からnobodyで実行するようになり、最近は、専用のアカウント(apacheやwww)を作って、その権限で実行するのケースが多くなっています。
~所有者やグループが変更された時にパーミッション設定も変えられて問題が発生する場合は、インストール時に[[オーナー(所有者)の設定>PukiWiki/Install/パーミッション設定#of0afc6f]] を行ってください。


***Q. PukiWikiのためのApache, PHPの設定 [#z33121d3]
>''A.'' [[続・質問箱/37]]

トップ   編集 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Site admin: PukiWiki Development Team

PukiWiki 1.5.3+ © 2001-2020 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u12. HTML convert time: 0.064 sec.

OSDN